
QGIS Application - Bug report #1250

Layer disappears from canvas when I classify a real attribute from shape-file

2008-08-27 03:52 AM - Horst Düster

Status: Closed

Priority: Low

Assignee: nobody -

Category: Symbology

Affected QGIS version: Regression?: No

Operating System: RedHat Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 11310

Description

1. Take a shape-file with an attribute of datatype real.[[br]]

2. Open Layer Properties/Symbology[[br]]

3. Choose unique value[[br]]

4. Classify attribute of datatype real[[br]]

5. Legend will updated with the classification[[br]]

6. Layer disappears from canvas[[br]]

I can reproduce this behaviour only with shape-files and with attributes defined as real. Postgis Layer work fine.

Associated revisions

Revision 2e39c733 - 2008-08-28 12:13 AM - Jürgen Fischer

vector provider update:

- rename maxValue to maximumValue

- rename getUniqueValues to uniqueValues and let it return a list

  of variants instead of strings.

- add protected convertValue to convert string values to attribute values

- update attribute dialog, continuous color dialog, graduated symbol dialog,

  unique value dialog, postgres provider and ogr provider accordingly

- fixes #1250

git-svn-id: http://svn.osgeo.org/qgis/trunk/qgis@9196 c8812cc2-4d05-0410-92ff-de0c093fc19c

Revision e3cfb787 - 2008-08-28 12:13 AM - Jürgen Fischer

vector provider update:

- rename maxValue to maximumValue

- rename getUniqueValues to uniqueValues and let it return a list

  of variants instead of strings.

- add protected convertValue to convert string values to attribute values

- update attribute dialog, continuous color dialog, graduated symbol dialog,

  unique value dialog, postgres provider and ogr provider accordingly

- fixes #1250

git-svn-id: http://svn.osgeo.org/qgis/trunk@9196 c8812cc2-4d05-0410-92ff-de0c093fc19c
History

#1 - 2008-08-27 03:20 PM - Jürgen Fischer

- Resolution set to fixed

- Status changed from Open to Closed

fixed in commit:e3cfb787 (SVN r9197)

#2 - 2009-08-22 12:57 AM - Anonymous

Milestone Version 1.0.0 deleted
